import { BalOptionValue } from './bal-select-option.type';
export declare class SelectOption {
  private inputId;
  private parent;
  element: HTMLElement;
  /**
   * The value of the dropdown item. This value will be returned by the parent <bal-dropdown> element.
   */
  value: string;
  /**
   * Label will be shown in the input element when it got selected
   */
  label: string;
  /**
   * If `true` the option is hidden
   */
  hidden: boolean;
  /**
   * Baloise icon as a prefix
   */
  icon: string;
  /**
   * If `true` the option is focused
   */
  focused: boolean;
  /**
   * If `true` the option is selected
   */
  selected: boolean;
  /**
   * If `true` the option has a checkbox
   */
  checkbox: boolean;
  getOption(): Promise<BalOptionValue<any>>;
  get option(): BalOptionValue<any>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  private onClick;
  render(): any;
}
